Loading...
Searching...
No Matches
GoogleDataProvider::GoogleDataProviderBase Class Reference

The Google data provider base class. More...

`#include <GoogleDataProviderBase.qc.dox.h>`

Inheritance diagram for GoogleDataProvider::GoogleDataProviderBase:
[legend]

## Public Member Functions

| constructor ()
| Creates the object.
| constructor (GoogleRestClient::GoogleRestClient rest)
| Creates the object.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Protected Attributes

*GoogleRestClient::GoogleRestClient | rest
| The REST client object for API calls.

## Detailed Description

The Google data provider base class.